Општо

Contents

# General

Define the properties for the selected control or dialog. The available properties depend on the type of control selected. The following properties therefore are not available for every type of control.

## Editable

Specifies whether the nodes of the tree control are editable.

The default value is FALSE.

## Invokes stop mode editing

Specifies what happens when editing is interrupted by selecting another node in the tree, a change in the tree's data, or by some other means.

Setting this property to TRUE causes the changes to be automatically saved when editing is interrupted. FALSE means that editing is canceled and changes are lost.

The default value is FALSE.

## Root displayed

Specifies if the root node of the tree control is displayed.

If Root displayed is set to FALSE, the root node of a model is no longer a valid node for the tree control and can't be used with any method of XTreeControl.

The default value is TRUE.

## Selection type

Specifies the selection mode that is enabled for this tree control.

## Show handles

Specifies whether the handles of the nodes should be displayed.

The handles are dotted lines that visualize the hierarchy of the tree control.

The default value is TRUE.

## Show root handles

Specifies whether the handles of the nodes should also be displayed at root level.

The default value is TRUE.

## URL на помошта

Specify the help URL that is called when you press F1 while the focus is on a particular control. For example, use the format HID:1234 to call the Help-ID with the number 1234.

Set the environment variable HELP_DEBUG to 1 to view the Help-IDs as extended help tips.

## Автоматско пополнување

Select "Yes" to enable the AutoFill function for the selected control.

## Боја на подлогата

Specify the background color for the current control.

## Бројач на линии

Enter the number of lines to be displayed for a list control. For combo boxes, this setting is only active if the dropdown option is enabled.

## Вид копче

Select a button type. Button types determine what type of action is initiated.

## Видлива големина

Specify the length of the slider of a scrollbar control.

## Висина

Specify the height of the current control or the dialog.

## Висина на редот

Specifies the height of each row of a tree control, in pixels.

If the specified value is less than or equal to zero, the row height is the maximum height of all rows.

The default value is 0.

## Вредност

Specify the value for the current control.

## Вредност на напредок

Specify a progress value for a progress bar control.

## Време макс.

Specify the maximum time value for a time control.

## Време мин.

Specify the minimum time value for a time control.

## Голема промена

Specify the number of units to scroll when a user clicks in the area between the slider and the arrows on a scrollbar.

## Графика

Specify the source of the graphics for a button or an image control. Click "..." to select a file.

## Датум

Specify the default date to be shown in the Date control.

## Децимална точност

Specify the number of decimal places displayed for a numerical or currency control.

## Елементи на листата

Specify the entries for a list control. One line takes one list entry. Press Shift+Enter to insert a new line.

## Задоцнување

Specifies the delay in milliseconds between scrollbar trigger events. A trigger event occurs when you click a scrollbar arrow or click the background area in a scrollbar. Repeated trigger events occur if you keep the mouse button pressed when you click a scrollbar arrow or background area in a scrollbar. If you want, you can include valid time units with the number that you enter, for example, 2 s or 500 ms.

## Запирач на табулаторот

Select the focus behavior of the current control when using the Tab key.

Стандардно | Only input controls receive the focus when using the Tab key. Controls without input like caption controls are omitted.
Не | When using the tab key focusing skips the control.
Да | Контролата може да биде селектирана со табулар клучот.

## Зголеми/намали вредност

Specify the increment and decrement interval for spin button controls.

## Земја

Select the selection state of the current control.

## Знаци за лозинка

Enter a character to be displayed instead of the characters that are typed. This can be used for entering passwords in text controls.

## Избор

Specifies the sequence of the selected items, where "0" corresponds to the first item. To select more than one item, Multiselection must be enabled.

Click the ... button to open the Selection dialog.

Click the item or items that you want to select. To select more than one item, ensure that the Multiselection option is selected.

## Име

Insert a name for the current control. This name is used to identify the control.

## Копче за вртење

Select "Yes" to add spin buttons to a numerical, currency, date, or time control to allow increasing and decreasing the input value using arrow buttons.

## Лента за движење

Adds the scrollbar type that you specify to a text box.

## Лента за движење

Adds the scrollbar type that you specify to a text box.

## Лизгачка вредност

Specify the initial value of a scrollbar control. This determines the position of the scrollbar slider.

## Лизгачка макс. вредност

Specify the maximum value of a scrollbar control.

## Лизгачка мин. вредност

Specify the minimum value of a scrollbar control.

## Макс. вредност

Specify the maximum value for the current control.

## Макс. датум

Specify the upper limit for a date control.

## Макс. должина на текстот

Specify the maximum number of characters that the user can enter.

## Мала промена

Specify the number of units to scroll when a user clicks an arrow on a scrollbar.

## Мин. вредност

Specify the minimum value for the current control.

## Мин. датум

Specify the lower limit for a date control.

## Множество знаци

Select the font to be used for displaying the contents of the current control.

## Напредок на макс. вредност

Specify the maximum value of a progress bar control.

## Напредок на мин. вредност

Specify the minimum value of a progress bar control.

## Наслов

Specify the title of the dialog. Click the border of the dialog to select the dialog.

Titles are only used for labeling a dialog and can only contain one line. Please note that if you work with macros, controls are only called through their Name property.

## Овозможено

Select "Yes" to enable the control. If the control is disabled, it is grayed out in the dialog.

## Ознака

Specifies the label of the current control. The label is displayed along with the control.

You can create multi-line labels by inserting manual line breaks in the label using Shift+Enter.

## Ориентација

Specify the orientation for a scrollbar control.

## Основна маска

Specify the initial values to be displayed in a pattern control. This helps the user to identify which values are allowed in a pattern control. The literal mask is restricted by the format specified by the edit mask.

## Паѓачки

Select "Yes" to enable the dropdown option for list or combo box controls. A dropdown control field has an arrow button which you can click to open a list of the existing form entries.

## Печати

Select "Yes" to include the current control in a document's printout.

## Повеќекратен избор

Select "Yes" to allow the selection of multiple entries in list controls.

## Повеќелиниски внес

Select "Yes" to allow the input of multiple lines in the control. Press Enter to insert a manual line break in the control.

## Повтори

Repeats trigger events when you keep the mouse button pressed on a control such as a spin button.

## ПозицијаX

Specify the distance of the current control from the left side of the dialog.

## ПозицијаY

Specify the distance of the current control from the top of the dialog.

## Порамнување

Specify the alignment option for the selected control.

## Разделувач на илјадарки

Select "Yes" to display thousands separator characters in numerical and currency controls.

## Размер

Scales the image to fit the control size.

## Рамка

Specify the border type for the current control.

## Рачен прекин на линија

Select "Yes" to allow manual line breaks inside multiline controls.

## Редослед

Specify the order in which the controls receive the focus when the Tab key is pressed in the dialog. On entering a dialog, the control with the lowest order (0) receives the focus. Pressing the Tab key the successively focuses the other controls as specified by their order number.

Initially, the controls receive numbers in the order they are added to the dialog. You can change the order numbers for controls. LibreOffice Basic updates the order numbers automatically to avoid duplicate numbers. Controls that cannot be focused are also assigned a value but these controls are skipped when using the Tab key.

## Само читлив

Select "Yes" to prevent the user from editing the value of the current control. The control is enabled and can be focused but not modified.

## Симбол за префикс

Select "Yes" to display the currency symbol prefix in currency controls when a number was entered.

## Симбол на валутата

Enter the currency symbol to be used for currency controls.

## Со три состојби

Select "Yes" to allow a check box to have three states (checked, unchecked, and grayed out) instead of two (checked and unchecked).

## Стандардно копче

Select "Yes" to make the current button control the default selection. Pressing Return in the dialog activates the default button.

## Страница (чекор)

Specify the number of the dialog page to which the current control is assigned or the page number of the dialog you want to edit. If a dialog has only one page set its Page (Step) value to 0.

Select Page (Step) = 0 to make a control visible on every dialog page.

To switch between dialog pages at run time, you need to create a macro that changes the value of Page (Step).

## Текст на помошта

Enter a help text that is displayed as a tip (bubble help) when the mouse rests over the control.

## Точен формат

Select "Yes" to only allow valid characters to be entered in a numerical, currency, date, or time control.

## Уреди маска

Specify the edit mask for a pattern control. This is a character code that defines the input format for the control.

You need to specify a masking character for each input character of the edit mask to restrict the input to the values that are listed in the following table:

Знак | Значење
--- | ---
L | A text constant. This character cannot be modified by the user.
a | The characters a-z can be entered here. If a capital letter is entered, it is automatically converted to a lowercase letter.
A | The characters A-Z can be entered here. If a lowercase letter is entered, it is automatically converted to a capital letter
c | The characters a-z and 0-9 can be entered here. If a capital letter is entered, it is automatically converted to a lowercase letter.
C | The characters a-z and 0-9 can be entered here. If a lowercase letter is entered, it is automatically converted to a capital letter
N | Само знаците 0-9 можат да бидат внесени.
x | Сите занаци што може да се печатат може да бидат внесени.
X | All printable characters can be entered. If a lowercase letter is used, it is automatically converted to a capital letter.

## Формат на време

Select the format to be used for time controls.

## Формат на датумот

Specify the desired format for a date control. A date control interprets the user input depending on this format setting.

## Ширина

Specify the width of the current control or dialog.

Please support us!